# MIPS Processor: Sony PSX

Assembler code

```
.text:00003E68
.text:00003E68  # =============== S U B R O U T I N E =======================================
.text:00003E68
.text:00003E68
.text:00003E68 sub_3E68:                                # CODE XREF: McGuiSave+64↓p
.text:00003E68                                          # McGuiLoad+64↓p
.text:00003E68
.text:00003E68 var_s0          =  0
.text:00003E68 var_s4          =  4
.text:00003E68 var_s8          =  8
.text:00003E68 var_sC          =  0xC
.text:00003E68 var_s10         =  0x10
.text:00003E68
.text:00003E68                 addiu   $sp, -0x28
.text:00003E6C                 lw      $a0, side
.text:00003E74                 li      $a1, 0x10
.text:00003E78                 sw      $s1, 0x10+var_s4($sp)
.text:00003E7C                 li      $s1, ot
.text:00003E84                 sw      $ra, 0x10+var_s10($sp)
.text:00003E88                 sw      $s3, 0x10+var_sC($sp)
.text:00003E8C                 sw      $s2, 0x10+var_s8($sp)
.text:00003E90                 sw      $s0, 0x10+var_s0($sp)
.text:00003E94                 sll     $a0, 6
.text:00003E98                 jal     ClearOTag
.text:00003E9C                 addu    $a0, $s1
.text:00003EA0                 li      $v1, (sDraw+0x17A)
.text:00003EA8                 lh      $v0, (aSsvabtransferF+6 - 0x282)($v1)  # "ransfer failed (%d)\n"
.text:00003EAC                 nop
.text:00003EB0                 blez    $v0, loc_3F7C
.text:00003EB4                 nop
.text:00003EB8                 move    $s0, $v1
.text:00003EBC                 li      $s3, disp
.text:00003EC4                 li      $s2, draw
.text:00003ECC
.text:00003ECC loc_3ECC:                                # CODE XREF: sub_3E68+10C↓j
.text:00003ECC                 lhu     $v0, 0($s0)

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/8.4/user-guide/disassembler/disassembly-gallery/mips-processor-sony-psx-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
